'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bdeef4f4.js');
const defaultUiConfig = require('./default-ui-config-8a058612.js');
const defaultIconPack = require('./default-icon-pack-0ea0e986.js');
const index$1 = require('./index-dbc5b08f.js');
const index$2 = require('./index-7a96dd15.js');
const store = require('./store-d570e98c.js');
require('./default-language-4c779255.js');

const dyteDialogManagerCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteDialogManager = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** UI Config */
    this.config = defaultUiConfig.defaultConfig;
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.onDyteDialogClose = (state, value) => {
      store.state[state] = value;
      this.stateUpdate.emit({ [state]: value });
    };
  }
  render() {
    const defaults = {
      meeting: this.meeting,
      states: this.states || store.state,
      config: this.config,
      size: this.size,
      iconPack: this.iconPack,
      t: this.t,
    };
    const states = this.states || store.state;
    if ((states === null || states === void 0 ? void 0 : states.image) != null) {
      const image = states.image;
      const onImageClose = () => {
        this.stateUpdate.emit({ image: null });
        store.state.image = null;
      };
      return (index.h(index.Host, null, index.h("dyte-dialog", { open: true, onDyteDialogClose: onImageClose, hideCloseButton: true }, index.h(index$2.Render, { element: "dyte-image-viewer", defaults: defaults, props: { image, onClose: onImageClose } }))));
    }
    else if ((states === null || states === void 0 ? void 0 : states.activeSettings) === true) {
      return (index.h(index.Host, null, index.h("dyte-dialog", { open: true, onDyteDialogClose: () => this.onDyteDialogClose('activeSettings', false) }, index.h(index$2.Render, { element: "dyte-settings", defaults: defaults }))));
    }
    else if ((states === null || states === void 0 ? void 0 : states.activeLeaveConfirmation) === true) {
      return (index.h(index.Host, null, index.h("dyte-dialog", { open: true, onDyteDialogClose: () => this.onDyteDialogClose('activeLeaveConfirmation', false) }, index.h(index$2.Render, { element: "dyte-leave-meeting", defaults: defaults }))));
    }
    else if ((states === null || states === void 0 ? void 0 : states.activePermissionsMessage) === true) {
      return (index.h(index.Host, null, index.h("dyte-dialog", { open: true, onDyteDialogClose: () => this.onDyteDialogClose('activePermissionsMessage', false) }, index.h(index$2.Render, { element: "dyte-permissions-message", defaults: defaults }))));
    }
    else if ((states === null || states === void 0 ? void 0 : states.activeRemoteAccessManager) === true) {
      return (index.h(index.Host, null, index.h("dyte-dialog", { open: true, onDyteDialogClose: () => this.onDyteDialogClose('activeRemoteAccessManager', false) }, index.h(index$2.Render, { element: "dyte-remote-access-manager", defaults: defaults }))));
    }
    return null;
  }
};
DyteDialogManager.style = dyteDialogManagerCss;

exports.dyte_dialog_manager = DyteDialogManager;
