'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bdeef4f4.js');
const index$1 = require('./index-dbc5b08f.js');
const defaultIconPack = require('./default-icon-pack-0ea0e986.js');
const store = require('./store-d570e98c.js');
const defaultUiConfig = require('./default-ui-config-8a058612.js');
require('./default-language-4c779255.js');

const dyteEndedScreenCss = ":host{height:100%;width:100%;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;font-family:var(--dyte-font-family, sans-serif);display:flex;flex-direction:column;align-items:center;justify-content:center}.ctr{display:flex;flex-direction:column;align-items:center}dyte-logo{margin-bottom:var(--dyte-space-8, 32px);height:var(--dyte-space-12, 48px)}.rejoin-button{margin-top:var(--dyte-space-4, 16px);margin-bottom:var(--dyte-space-4, 16px);padding-top:var(--dyte-space-6, 24px);padding-bottom:var(--dyte-space-6, 24px);padding-left:var(--dyte-space-16, 64px);padding-right:var(--dyte-space-16, 64px)}.rejoin-icon{margin-right:var(--dyte-space-2, 8px)}p{font-size:16px;border-radius:var(--dyte-border-radius-lg, 12px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-800, 30 30 30) / var(--tw-bg-opacity));padding-left:var(--dyte-space-8, 32px);padding-right:var(--dyte-space-8, 32px);padding-top:var(--dyte-space-4, 16px);padding-bottom:var(--dyte-space-4, 16px);color:rgb(var(--dyte-colors-text-1000, 255 255 255))}span{margin-top:var(--dyte-space-4, 16px);margin-bottom:var(--dyte-space-4, 16px);font-size:14px}";

const DyteEndedScreen = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Config object */
    this.config = defaultUiConfig.defaultConfig;
    /** Icon */
    this.icon = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.message = '';
  }
  connectedCallback() {
    this.statesChanged(this.states);
    store.onChange('roomLeftState', () => this.statesChanged());
  }
  statesChanged(s) {
    const states = s || store.state;
    if (states != null) {
      switch (states === null || states === void 0 ? void 0 : states.roomLeftState) {
        case 'left':
          this.message = 'You left the meeting';
          break;
        case 'kicked':
          this.message = 'You were removed from the meeting';
          break;
        case 'disconnected':
          this.message = 'The call ended because the connection was lost.';
          break;
        default:
          this.message = 'The meeting ended';
      }
    }
  }
  render() {
    const states = this.states || store.state;
    return (index.h(index.Host, null, index.h("div", { class: "ctr", part: "container" }, index.h("dyte-logo", { config: this.config, part: "logo" }), index.h("p", { part: "message" }, this.t(this.message)), (states === null || states === void 0 ? void 0 : states.roomLeftState) === 'disconnected' && (index.h("span", { part: "description" }, this.t('Please check your internet connection and try again.'))))));
  }
  static get watchers() { return {
    "states": ["statesChanged"]
  }; }
};
DyteEndedScreen.style = dyteEndedScreenCss;

exports.dyte_ended_screen = DyteEndedScreen;
