import { Component, Host, h, Prop } from '@stencil/core';
/**
 * A screen that handles the idle state,
 * i.e; when you are waiting for data about the meeting, specifically the `meeting` object.
 */
export class DyteIdleScreen {
  render() {
    return (h(Host, null,
      h("slot", null,
        h("div", { class: "ctr", part: "container" },
          h("dyte-logo", { config: this.config, part: "logo" }),
          h("dyte-spinner", { "aria-label": "Idle, waiting for meeting data", part: "spinner" })))));
  }
  static get is() { return "dyte-idle-screen"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["dyte-idle-screen.css"]
  }; }
  static get styleUrls() { return {
    "$": ["dyte-idle-screen.css"]
  }; }
  static get properties() { return {
    "config": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "UIConfig",
        "resolved": "UIConfig",
        "references": {
          "UIConfig": {
            "location": "import",
            "path": "../../types/ui-config"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Config object"
      }
    }
  }; }
}
