import { Component, Host, h, Prop } from '@stencil/core';
/**
 * A component which displays the title of the meeting.
 */
export class DyteMeetingTitle {
  render() {
    var _a;
    const title = (_a = this.meeting) === null || _a === void 0 ? void 0 : _a.meta.meetingTitle;
    if (title == null)
      return null;
    return (h(Host, { tabIndex: 0, role: "banner", "aria-label": title },
      h("dyte-tooltip", { label: title, part: "tooltip" },
        h("div", { class: "title", part: "title" }, title))));
  }
  static get is() { return "dyte-meeting-title"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["dyte-meeting-title.css"]
  }; }
  static get styleUrls() { return {
    "$": ["dyte-meeting-title.css"]
  }; }
  static get properties() { return {
    "meeting": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Meeting",
        "resolved": "DyteClient",
        "references": {
          "Meeting": {
            "location": "import",
            "path": "../../types/dyte-client"
          }
        }
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Meeting object"
      }
    }
  }; }
}
