import { RecordingState } from '@dytesdk/web-core/types/client/DyteRecording';
import { IconPack } from '../../lib/icons';
import { Meeting } from '../../types/dyte-client';
import { Size } from '../../types/props';
import { ControlBarVariant } from '../dyte-controlbar-button/dyte-controlbar-button';
/**
 * A button which toggles recording state of a meeting.
 *
 * Only a privileged user can perform this action,
 * thus the button will not be visible for participants
 * who don't have the permission to record a meeting.
 */
export declare class DyteRecordingToggle {
  private recordingStateUpdateListener;
  /** Variant */
  variant: ControlBarVariant;
  /** Meeting object */
  meeting: Meeting;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Icon pack */
  iconPack: IconPack;
  /** Size */
  size: Size;
  recordingState: RecordingState;
  canRecord: boolean;
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private toggleRecording;
  private getLabel;
  private getIcon;
  private isLoading;
  render(): any;
}
